Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.imageio
Class ImageSaverJAI

    java.lang.Object
      |
      +--com.vistech.jai.imageio.ImageSaverJAI

public class ImageSaverJAI
extends java.lang.Object

A utility class that provides several static methods to save an image to a local directory in different formats supported by the JAI Image I/O package.

Version:
  1.0 3 Sept 2000
Author:
  Lawrence Rodrigues

Constructor Summary
`ImageSaverJAI()`

Method Summary
`static void` | `saveAsBMP(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsJPEG(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsPNGGray(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsPNGPalette(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsPNGRGB(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsPNM(java.awt.image.RenderedImage image, java.lang.String file)`
`static void` | `saveAsPNM(java.awt.image.RenderedImage image, java.lang.String file, boolean rawOrAscii)`
`static void` | `saveAsTIFF(java.awt.image.RenderedImage image, java.lang.String file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageSaverJAI

    public ImageSaverJAI()

Method Detail

### saveAsTIFF

    public static void saveAsTIFF(java.awt.image.RenderedImage image,
                                  java.lang.String file)
                           throws java.io.IOException

### saveAsBMP

    public static void saveAsBMP(java.awt.image.RenderedImage image,
                                 java.lang.String file)
                          throws java.io.IOException

### saveAsPNGRGB

    public static void saveAsPNGRGB(java.awt.image.RenderedImage image,
                                    java.lang.String file)
                             throws java.io.IOException

### saveAsPNGGray

    public static void saveAsPNGGray(java.awt.image.RenderedImage image,
                                     java.lang.String file)
                              throws java.io.IOException

### saveAsPNGPalette

    public static void saveAsPNGPalette(java.awt.image.RenderedImage image,
                                        java.lang.String file)
                                 throws java.io.IOException

### saveAsJPEG

    public static void saveAsJPEG(java.awt.image.RenderedImage image,
                                  java.lang.String file)
                           throws java.io.IOException

### saveAsPNM

    public static void saveAsPNM(java.awt.image.RenderedImage image,
                                 java.lang.String file)
                          throws java.io.IOException

### saveAsPNM

    public static void saveAsPNM(java.awt.image.RenderedImage image,
                                 java.lang.String file,
                                 boolean rawOrAscii)
                          throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD